Subject: bug#25494: closed (Re: bug#25494: sed 4.3-1 segmentation fault (core dumped) : Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Jan 2017 15:40:02 +0000

Your bug report

#25494: sed 4.3-1 segmentation fault (core dumped) : Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25494: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25494
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25494: sed 4.3-1 segmentation fault (core dumped) : Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***
From: Jim Meyering <[email-masked]>
To: Noé Girand <[email-masked]>
Cc: Assaf Gordon <[email-masked]>, [email-masked]
Date: Sat, 21 Jan 2017 07:39:14 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jan 21, 2017 at 3:46 AM, Noé Girand <[email-masked]> wrote:
> I built from git, and can confirm that the issue is fixed !
>
> The bug can be closed, but I don't know how to do it.

Thanks for confirming.
Anyone can close a bug by replying to [email-masked],
where [email-masked] is one of the recipients you would see in
the reply-to-all message.

So to close this, I am replying-to-all and changing the
[email-masked] recipient to [email-masked].

Subject: Re: sed 4.3-1 segmentation fault (core dumped) : Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***
From: Noé Girand <[email-masked]>
To: [email-masked]
Date: Fri, 20 Jan 2017 13:18:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

is there any feedback about this issue ?

I could not find it at
https://debbugs.gnu.org/cgi/pkgreport.cgi?pkg=sed

Let me know if I can help in any way.

Regards,
Noe Girand.

2017-01-17 17:39 GMT+01:00 Noé Girand <[email-masked]>:

> Hi all,
>
> I am sending an email to this email address as mentioned on the sed man
> page.
>
> On running the following sed script
>
> sed -r '/<b>/ {
>         :searchforendb
>         /<\/b>/ ! {
>                 N
>                 b searchforendb
>         }
>         /^[ \n\t\r]*<b>[ \n\t\r]*Par(\xc2\xa0)*[ \n\t\r]*<\/b>[ \n\t\r]*$/
> d
> }' sed-dump.xml
>
> where sed-dump.xml is an UTF-8 Unicode text with CRLF line terminators and
> contains :
>
> <text>
>  <b>Par
>     <b>
>        <b>
>        </b>
>     </b>
>  </b>
> </text>
>
> I get the following :
>
> *** Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***
> ======= Backtrace: =========
> /usr/lib/libc.so.6(+0x70c4b)[0x7f06a69bbc4b]
> /usr/lib/libc.so.6(+0x76fe6)[0x7f06a69c1fe6]
> /usr/lib/libc.so.6(+0x79fcc)[0x7f06a69c4fcc]
> /usr/lib/libc.so.6(realloc+0x159)[0x7f06a69c64f9]
> sed[0x412786]
> sed[0x409bd0]
> sed[0x40ce4b]
> sed[0x40e760]
> sed[0x4085aa]
> sed[0x405f4f]
> sed[0x406c59]
> sed[0x407cad]
> sed[0x402d66]
> /usr/lib/libc.so.6(__libc_start_main+0xf1)[0x7f06a696b291]
> sed[0x402e3a]
> ======= Memory map: ========
> 00400000-0041a000 r-xp 00000000 08:05 936899
> /usr/bin/sed
> 00619000-0061a000 r--p 00019000 08:05 936899
> /usr/bin/sed
> 0061a000-0061b000 rw-p 0001a000 08:05 936899
> /usr/bin/sed
> 02065000-020c8000 rw-p 00000000 00:00 0
> [heap]
> 7f06a0000000-7f06a0021000 rw-p 00000000 00:00 0
> 7f06a0021000-7f06a4000000 ---p 00000000 00:00 0
> 7f06a64f5000-7f06a650b000 r-xp 00000000 08:05 939866
> /usr/lib/libgcc_s.so.1
> 7f06a650b000-7f06a670a000 ---p 00016000 08:05 939866
> /usr/lib/libgcc_s.so.1
> 7f06a670a000-7f06a670b000 r--p 00015000 08:05 939866
> /usr/lib/libgcc_s.so.1
> 7f06a670b000-7f06a670c000 rw-p 00016000 08:05 939866
> /usr/lib/libgcc_s.so.1
> 7f06a6746000-7f06a674a000 r-xp 00000000 08:05 928101
> /usr/lib/libattr.so.1.1.0
> 7f06a674a000-7f06a6949000 ---p 00004000 08:05 928101
> /usr/lib/libattr.so.1.1.0
> 7f06a6949000-7f06a694a000 r--p 00003000 08:05 928101
> /usr/lib/libattr.so.1.1.0
> 7f06a694a000-7f06a694b000 rw-p 00004000 08:05 928101
> /usr/lib/libattr.so.1.1.0
> 7f06a694b000-7f06a6ae0000 r-xp 00000000 08:05 920754
> /usr/lib/libc-2.24.so
> 7f06a6ae0000-7f06a6cdf000 ---p 00195000 08:05 920754
> /usr/lib/libc-2.24.so
> 7f06a6cdf000-7f06a6ce3000 r--p 00194000 08:05 920754
> /usr/lib/libc-2.24.so
> 7f06a6ce3000-7f06a6ce5000 rw-p 00198000 08:05 920754
> /usr/lib/libc-2.24.so
> 7f06a6ce5000-7f06a6ce9000 rw-p 00000000 00:00 0
> 7f06a6ce9000-7f06a6cf1000 r-xp 00000000 08:05 928156
> /usr/lib/libacl.so.1.1.0
> 7f06a6cf1000-7f06a6ef0000 ---p 00008000 08:05 928156
> /usr/lib/libacl.so.1.1.0
> 7f06a6ef0000-7f06a6ef1000 r--p 00007000 08:05 928156
> /usr/lib/libacl.so.1.1.0
> 7f06a6ef1000-7f06a6ef2000 rw-p 00008000 08:05 928156
> /usr/lib/libacl.so.1.1.0
> 7f06a6ef2000-7f06a6f15000 r-xp 00000000 08:05 920753
> /usr/lib/ld-2.24.so
> 7f06a6f3d000-7f06a70d6000 r--p 00000000 08:05 968824
> /usr/lib/locale/locale-archive
> 7f06a70d6000-7f06a70da000 rw-p 00000000 00:00 0
> 7f06a7113000-7f06a7114000 rw-p 00000000 00:00 0
> 7f06a7114000-7f06a7115000 r--p 00022000 08:05 920753
> /usr/lib/ld-2.24.so
> 7f06a7115000-7f06a7116000 rw-p 00023000 08:05 920753
> /usr/lib/ld-2.24.so
> 7f06a7116000-7f06a7117000 rw-p 00000000 00:00 0
> 7fff8fd2e000-7fff8fd4f000 rw-p 00000000 00:00 0
> [stack]
> 7fff8fd8a000-7fff8fd8c000 r--p 00000000 00:00 0
> [vvar]
> 7fff8fd8c000-7fff8fd8e000 r-xp 00000000 00:00 0
> [vdso]
> ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0
> [vsyscall]
> [1]    962 abort (core dumped)  sed -r  sed-dump.xml
>
>
> In system log file, I also get the following
>
> Jan 17 17:26:28 noe-computer systemd[1]: Started Process Core Dump (PID
> 964/UID 0).
> Jan 17 17:26:28 noe-computer systemd-coredump[966]: Removed old coredump
> core.sed.1002.6c4d9506cb364da4a3e9da9ecd778b1d.922.1484670383000000000000.
> lz4.
> Jan 17 17:26:28 noe-computer systemd-coredump[966]: Process 962 (sed) of
> user 1002 dumped core.
>
> Stack trace of thread 962:
> #0  0x00007f06a697e04f raise (libc.so.6)
> #1  0x00007f06a697f47a abort (libc.so.6)
> #2  0x00007f06a69bbc50 __libc_message (libc.so.6)
> #3  0x00007f06a69c1fe6 malloc_printerr (libc.so.6)
> #4  0x00007f06a69c4fcc _int_realloc (libc.so.6)
> #5  0x00007f06a69c64f9 realloc (libc.so.6)
> #6  0x0000000000412786 n/a (sed)
> #7  0x0000000000409bd0 n/a (sed)
> #8  0x000000000040ce4b n/a (sed)
> #9  0x000000000040e760 n/a (sed)
> #10 0x00000000004085aa n/a (sed)
> #11 0x0000000000405f4f n/a (sed)
> #12 0x0000000000406c59 n/a (sed)
> #13 0x0000000000407cad n/a (sed)
> #14 0x0000000000402d66 n/a (sed)
> #15 0x00007f06a696b291 __libc_start_main (libc.so.6)
> #16 0x0000000000402e3a n/a (sed)
>
> As requested,`sed --version` outputs the following "
>
> sed (GNU sed) 4.3
> Copyright (C) 2016 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.
> html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
>
> Written by Jay Fenlason, Tom Lord, Ken Pizzini,
> and Paolo Bonzini.
> Page de GNU sed: <http://www.gnu.org/software/sed/>.
> Aide générale pour utiliser les logiciels GNU: <http://www.gnu.org/help/
> gethelp.fr.html>.
> E-mail bug reports to: <[email-masked]>.
>
> "
>
> This was working in my previous version of sed, sed (GNU sed) 4.2.2
>
> For info, my glibc version is 2.24-2.
>
> Let me know if I can help in any way, as I reproduce consistently.
>
> Best regards,
> Noe
>
>
> --
> Noé GIRAND
> CTO de Articly
> +33 6 84 72 33 94 <+33%206%2084%2072%2033%2094>
>